# Generated by Django 4.2.10 on 2024-04-29 14:39

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('extras', '0107_cachedvalue_extras_cachedvalue_object'),
        ('ipam', '0069_gfk_indexes'),
        ('netbox_multicast_stream_mapping', '0024_remove_receiver_supported_formats_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Endpoint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100)),
                ('max_bandwidth', models.FloatField(blank=True, null=True)),
                ('switch_method', models.CharField(blank=True, null=True)),
                ('signal_type', models.CharField(blank=True, null=True)),
                ('description', models.CharField(blank=True, max_length=500, null=True)),
                ('comments', models.TextField(blank=True, null=True)),
                ('ip', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='ipam.ipaddress')),
                ('processor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='netbox_multicast_stream_mapping.processor')),
                ('supported_formats', models.ManyToManyField(blank=True, to='netbox_multicast_stream_mapping.format')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.DeleteModel(
            name='Sender',
        ),
    ]
